{symbol}: Get OHLC candles for symbol

API: cryptomkt.com:cryptomarket-api
Endpoint: /public/candles/{symbol}
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 410ms

Description

Returns historical price candles (Open, High, Low, Close) with volume data for a trading pair. Use this to display price charts or analyze price movements over time.

From spec: Returns OHLC (Open, High, Low, Close) candlestick data for a specific symbol. Candles are used for representation as an OHLC chart.

Usage Tips

- Period must be one of: M1, M3, M5, M15, M30, H1, H4, D1, D7, 1M - Maximum limit is 100 candles per request - Timestamp is in ISO 8601 format (UTC)

Parameters (7)

from (string, query, optional)

Start timestamp (ISO 8601)

limit (integer, query, optional)

Maximum number of candles to return

offset (integer, query, optional)

Offset for pagination

period (string, query, optional)

Candle period (M1, M3, M5, M15, M30, H1, H4, D1, D7, D30, 1M)

Constraints: {'enum': ['M1', 'M3', 'M5', 'M15', 'M30', 'H1', 'H4', 'D1', 'D7', 'D30', '1M']}

sort (string, query, optional)

Sort order (ASC or DESC)

Constraints: {'enum': ['ASC', 'DESC']}

symbol (string, path, required)

Trading symbol code (e.g., BTCUSDT, ETHBTC)

till (string, query, optional)

End timestamp (ISO 8601)

Examples (1)

Get 1-minute candles for BTCUSDT probe-gate

Demonstrates fetching recent 1-minute OHLC candle data for Bitcoin price charting

curl 'https://api.exchange.cryptomkt.com/api/3/public/candles/BTCUSDT?period=M1&limit=5'
import requests

resp = requests.get(
    "https://api.exchange.cryptomkt.com/api/3/public/candles/BTCUSDT",
    params={
        'period': 'M1',
        'limit': '5',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("cryptomkt")
result = api.fetch("public/candles/{symbol}", period="M1", limit=5)

for item in result:
    print(item)
const resp = await fetch("https://api.exchange.cryptomkt.com/api/3/public/candles/BTCUSDT?period=M1&limit=5");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:02:48.836548 200 410ms
2026-04-15 03:42:37.786399 200 162ms
2026-04-14 03:45:01.297273 200 203ms
2026-04-12 15:42:14.363274 200 195ms
2026-04-10 04:27:32.319901 200 340ms
2026-04-09 02:34:19.901984 200 188ms